<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:48 JST 2014 -->
<TITLE>
KeeperException.DataInconsistencyException
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="KeeperException.DataInconsistencyException";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.InvalidACLException.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/KeeperException.DataInconsistencyException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="KeeperException.DataInconsistencyException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_org.apache.zookeeper.KeeperException">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#methods_inherited_from_class_org.apache.zookeeper.KeeperException">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper</FONT>
<BR>
Class KeeperException.DataInconsistencyException</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by ">java.lang.Throwable
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by ">java.lang.Exception
          <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">org.apache.zookeeper.KeeperException</A>
              <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.KeeperException.DataInconsistencyException</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>java.io.Serializable</DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static class <B>KeeperException.DataInconsistencyException</B><DT>extends <A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></DL>
</PRE>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#DATAINCONSISTENCY"><CODE>KeeperException.Code.DATAINCONSISTENCY</CODE></A>, 
<A HREF="../../../serialized-form.html#org.apache.zookeeper.KeeperException.DataInconsistencyException">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_org.apache.zookeeper.KeeperException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class org.apache.zookeeper.<A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/apache/zookeeper/KeeperException.APIErrorException.html" title="class in org.apache.zookeeper">KeeperException.APIErrorException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.AuthFailedException.html" title="class in org.apache.zookeeper">KeeperException.AuthFailedException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.BadArgumentsException.html" title="class in org.apache.zookeeper">KeeperException.BadArgumentsException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.BadVersionException.html" title="class in org.apache.zookeeper">KeeperException.BadVersionException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html" title="interface in org.apache.zookeeper">KeeperException.CodeDeprecated</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper">KeeperException.ConnectionLossException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.DataInconsistencyException.html" title="class in org.apache.zookeeper">KeeperException.DataInconsistencyException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.InvalidACLException.html" title="class in org.apache.zookeeper">KeeperException.InvalidACLException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.InvalidCallbackException.html" title="class in org.apache.zookeeper">KeeperException.InvalidCallbackException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.MarshallingErrorException.html" title="class in org.apache.zookeeper">KeeperException.MarshallingErrorException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.NoAuthException.html" title="class in org.apache.zookeeper">KeeperException.NoAuthException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.NoChildrenForEphemeralsException.html" title="class in org.apache.zookeeper">KeeperException.NoChildrenForEphemeralsException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.NodeExistsException.html" title="class in org.apache.zookeeper">KeeperException.NodeExistsException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.NoNodeException.html" title="class in org.apache.zookeeper">KeeperException.NoNodeException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.NotEmptyException.html" title="class in org.apache.zookeeper">KeeperException.NotEmptyException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.NotReadOnlyException.html" title="class in org.apache.zookeeper">KeeperException.NotReadOnlyException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.OperationTimeoutException.html" title="class in org.apache.zookeeper">KeeperException.OperationTimeoutException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.RuntimeInconsistencyException.html" title="class in org.apache.zookeeper">KeeperException.RuntimeInconsistencyException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.SessionExpiredException.html" title="class in org.apache.zookeeper">KeeperException.SessionExpiredException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.SessionMovedException.html" title="class in org.apache.zookeeper">KeeperException.SessionMovedException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.SystemErrorException.html" title="class in org.apache.zookeeper">KeeperException.SystemErrorException</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.UnimplementedException.html" title="class in org.apache.zookeeper">KeeperException.UnimplementedException</A></CODE></TD>
</TR>
</TABLE>
&nbsp;

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.DataInconsistencyException.html#KeeperException.DataInconsistencyException()">KeeperException.DataInconsistencyException</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.zookeeper.KeeperException"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.zookeeper.<A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/apache/zookeeper/KeeperException.html#code()">code</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#create(int)">create</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#create(int, java.lang.String)">create</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#create(org.apache.zookeeper.KeeperException.Code)">create</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#create(org.apache.zookeeper.KeeperException.Code, java.lang.String)">create</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#getCode()">getCode</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#getMessage()">getMessage</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#getPath()">getPath</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#getResults()">getResults</A>, <A HREF="../../../org/apache/zookeeper/KeeperException.html#setCode(int)">setCode</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Throwable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Throwable</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="KeeperException.DataInconsistencyException()"><!-- --></A><H3>
KeeperException.DataInconsistencyException</H3>
<PRE>
public <B>KeeperException.DataInconsistencyException</B>()</PRE>
<DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.InvalidACLException.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/KeeperException.DataInconsistencyException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="KeeperException.DataInconsistencyException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_org.apache.zookeeper.KeeperException">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#methods_inherited_from_class_org.apache.zookeeper.KeeperException">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
